diff --git a/changelog b/changelog
index d736c79..5dfa61a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080827 wsp src/algebra/tex.spad change \over to \frac
 20080824 tpd src/input/Makefile add liu.input to regression
 20080824 lxx src/input/liu.input expose difference between ^ and **
 20080824 tpd src/interp/setq.lisp add Liu Xiaojun to credits
diff --git a/src/algebra/tex.spad.pamphlet b/src/algebra/tex.spad.pamphlet
index 7577e3f..3babcb2 100644
--- a/src/algebra/tex.spad.pamphlet
+++ b/src/algebra/tex.spad.pamphlet
@@ -534,7 +534,12 @@ TexFormat(): public == private where
         op
       opPrec := binaryPrecs.p
       s : S := formatTex(first args, opPrec)
-      s := concat [s,op,formatTex(first rest args, opPrec)]
+      if op = " \over " then
+        s := concat [" \frac{",s,"}{",formatTex(first rest args, opPrec),"}"]
+      else if op = " \sp " then
+        s := concat [s,"^",formatTex(first rest args, opPrec)]
+      else
+        s := concat [s,op,formatTex(first rest args, opPrec)]
       group
         op = " \over " => s
         opPrec < prec => parenthesize s
